Skip to main content

Get a specific OAuth2 client

GET/v2/oauth2/clients/{oauthClientId}
API version
v2
Request method
GET
Operation ID
contributor-get-oauth-client

Request​

  • oauthClientIdstringrequired

Responses​

Format
application/json
Description

Get a specific OAuth client.

  • allowedGrantTypesarray of string
    • Array[
      • *string
      ]
  • allowedRedirectUrisarray of string (uri)
    • Array[
      • *string (uri)
      ]
  • allowedScopesarray of string
    • Array[
      • *string
      ]
  • descriptionstring
  • humanReadableNamestringrequired
  • idstringrequired
  • typestring (one of: public, confidential)
Content-Type: application/json

{
"allowedGrantTypes": [
"string"
],
"allowedRedirectUris": [
"string"
],
"allowedScopes": [
"string"
],
"description": "string",
"humanReadableName": "string",
"id": "string",
"type": "public"
}
{
"properties": {
"allowedGrantTypes": {
"items": {
"type": "string"
},
"type": "array"
},
"allowedRedirectUris": {
"items": {
"format": "uri",
"type": "string"
},
"type": "array"
},
"allowedScopes": {
"items": {
"type": "string"
},
"type": "array"
},
"description": {
"type": "string"
},
"humanReadableName": {
"type": "string"
},
"id": {
"type": "string"
},
"type": {
"enum": [
"public",
"confidential"
],
"type": "string"
}
},
"required": [
"id",
"humanReadableName"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/oauth2/clients/string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.marketplace.contributorGetOauthClient({
"oauthClientId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Marketplace\ContributorGetOauthClient\ContributorGetOauthClientRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ContributorGetOauthClientRequest(
oauthClientId: "string"
));
$response = $client->marketplace()->contributorGetOauthClient($request);

var_dump($response->getBody();

On this page